library LibraryPing;

{ Important note about DLL memory management: ShareMem must be the
  first unit in your library's USES clause AND your project's (select
  Project-View Source) USES clause if your DLL exports any procedures or
  functions that pass strings as parameters or function results. This
  applies to all strings passed to and from your DLL--even those that
  are nested in records and classes. ShareMem is the interface unit to
  the BORLNDMM.DLL shared memory manager, which must be deployed along
  with your DLL. To avoid using BORLNDMM.DLL, pass string information
  using PChar or ShortString parameters. }

uses
  UnitPing;

{$R *.res}

function Export_Ping(
  const DotAddress: PChar;
  const PacketSize_Byte: Integer;
  const ReceiveTimeout_mS: Integer;
  var Reply_BytesReceived: Integer;
  var Reply_RoundTripTime_mS: Integer;
  var Reply_TTL: Integer): Integer; stdcall;
var
  Reply_StatusStr: PChar;
begin
  Result := Ping(
    DotAddress,
    PacketSize_Byte,
    ReceiveTimeout_mS,
    Reply_StatusStr,
    Reply_BytesReceived,
    Reply_RoundTripTime_mS,
    Reply_TTL);
end;

exports
  Export_Ping name 'ping';

begin
end.
