unit UnitMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TFormMain = class(TForm)
    Edit1: TEdit;
    Label1: TLabel;
    Memo1: TMemo;
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  FormMain: TFormMain;

implementation

uses
  UnitPing;

{$R *.dfm}

procedure TFormMain.Button1Click(Sender: TObject);
var
  I: Integer;
  DotAddress: PChar;
  PacketSize_Byte: Integer;
  ReceiveTimeout_mS: Integer;

  Reply_StatusStr: PChar;
  Reply_BytesReceived: Integer;
  Reply_RoundTripTime_mS: Integer;
  Reply_TTL: Integer;
begin
  DotAddress := PChar(Edit1.Text);
  PacketSize_Byte := 32;
  ReceiveTimeout_mS := 1000;

  Reply_StatusStr := nil;
  Reply_BytesReceived := -1;
  Reply_RoundTripTime_mS := -1;
  Reply_TTL := -1;

  I := Ping(
  DotAddress,
  PacketSize_Byte,
  ReceiveTimeout_mS,

  Reply_StatusStr,
  Reply_BytesReceived,
  Reply_RoundTripTime_mS,
  Reply_TTL,
  );

  if I = 0 then
  begin
    Memo1.Lines.Add('**************');
    Memo1.Lines.Add(string(Reply_StatusStr));
    Memo1.Lines.Add(IntToStr(Reply_BytesReceived));
    Memo1.Lines.Add(IntToStr(Reply_RoundTripTime_mS));
    Memo1.Lines.Add(IntToStr(Reply_TTL));
  end;

end;

end.
